Subject: Re: [syzbot] [net?] WARNING in xfrm6_tunnel_net_exit (4)

From: syzbot <[email-masked]>
Date: Fri, 24 Oct 2025 21:55:02 -0700

syzbot has bisected this issue to:

commit b441cf3f8c4b8576639d20c8eb4aa32917602ecd
Author: Sabrina Dubroca <[email-masked]>
Date:   Fri Jul 4 14:54:33 2025 +0000

    xfrm: delete x->tunnel as we delete x

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=160c5d2f980000
start commit:   cf1ea8854e4f Merge tag 'mmc-v6.18-rc1' of git://git.kernel..
git tree:       upstream
final oops:     https://syzkaller.appspot.com/x/report.txt?x=150c5d2f980000
console output: https://syzkaller.appspot.com/x/log.txt?x=110c5d2f980000
kernel config:  https://syzkaller.appspot.com/x/.config?x=af9170887d81dea1
dashboard link: https://syzkaller.appspot.com/bug?extid=3df59a64502c71cab3d5
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=162c3de2580000

Reported-by: [email-masked]
Fixes: b441cf3f8c4b ("xfrm: delete x->tunnel as we delete x")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection